%define upstream_name    Carp-Parse-Redact
%define upstream_version 1.1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Represent the parsed caller information for a line of the Carp stack trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Parse)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Validate::Type)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Carp produces a stacktrace that includes caller arguments; this module
parses each line of the stack trace to extract its arguments and redacts
out the sensitive information contained in the function arguments for each
caller.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1.5-3.mga4
+ Revision: 509638
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 363822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.1.5-1.mga3
+ Revision: 306246
- update to 1.1.5

* Wed Oct 10 2012 jquelin <jquelin> 1.1.4.1-1.mga3
+ Revision: 304405
- imported package perl-Carp-Parse-Redact


* Wed Oct 10 2012 cpan2dist 1.1.4.1-1mga
- initial mageia release, generated with cpan2dist
